Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreeConditionNode

    java.lang.Object
      com.ibm.able.rules.AbleTreeNode
          com.ibm.able.rules.AbleTreeConditionNode

All Implemented Interfaces:
  java.io.Serializable

public class AbleTreeConditionNode
extends AbleTreeNode

This class represents an interior node in a decision table or tree.

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `edges`
`protected AbleTreePartialExpression` | `term`
`protected java.lang.String` | `termRef`

Constructor Summary
`AbleTreeConditionNode()` Create a new tree condition (interior) node.
`AbleTreeConditionNode(AbleTreePartialExpression newTreeTerm)` Create a new tree condition (interior) node with specified term (lhs).
`AbleTreeConditionNode(java.lang.String theTermRef, AbleTreePartialExpression newTreeTerm)` Create a new tree condition (interior) node with specified termRef and term (lhs)

Method Summary
`void` | `addEdge(AbleTreeEdge newEdge)` Add a single edge to the list of edges coming out of this interior node.
`void` | `addEdges(java.util.Vector newEdges)` Add a list of edges coming out of this interior node.
`java.util.Vector` | `getEdges()` Retrieve the list of edges coming out of this interior node.
`AbleTreePartialExpression` | `getTerm()` Retrieve the term (lhs) for this node.
`void` | `setEdges(java.util.Vector newEdges)` Set the list of edges coming out of this interior node.
`void` | `setTerm(AbleTreePartialExpression newTerm)` Set the term (lhs) for this node.
`void` | `setTermRef(java.lang.String newTermRef)` Set the termRef (uid of a shared condition term or action term) for this node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### termRef

    protected java.lang.String termRef

### term

    protected AbleTreePartialExpression term

### edges

    protected java.util.Vector edges

Constructor Detail

### AbleTreeConditionNode

    public AbleTreeConditionNode()

  Create a new tree condition (interior) node.

### AbleTreeConditionNode

    public AbleTreeConditionNode(AbleTreePartialExpression newTreeTerm)

  Create a new tree condition (interior) node with specified term (lhs).

Parameters:
  `newTreeTerm` -

### AbleTreeConditionNode

    public AbleTreeConditionNode(java.lang.String theTermRef,
                                 AbleTreePartialExpression newTreeTerm)

  Create a new tree condition (interior) node with specified termRef and term (lhs)

Parameters:
  `theTermRef` -
  `newTreeTerm` -

Method Detail

### getTerm

    public AbleTreePartialExpression getTerm()

  Retrieve the term (lhs) for this node.

  Returns:
    The term.

### setTerm

    public void setTerm(AbleTreePartialExpression newTerm)

  Set the term (lhs) for this node.

  Parameters:
    `newTerm` -

### setTermRef

    public void setTermRef(java.lang.String newTermRef)

  Set the termRef (uid of a shared condition term or action term) for this node.

  Parameters:
    `newTermRef` -

### getEdges

    public java.util.Vector getEdges()

  Retrieve the list of edges coming out of this interior node.

  Returns:
    The list of edges.

### setEdges

    public void setEdges(java.util.Vector newEdges)

  Set the list of edges coming out of this interior node.

  Parameters:
    `newEdges` -

### addEdges

    public void addEdges(java.util.Vector newEdges)

  Add a list of edges coming out of this interior node.

  Parameters:
    `newEdges` -

### addEdge

    public void addEdge(AbleTreeEdge newEdge)

  Add a single edge to the list of edges coming out of this interior node.

  Parameters:
    `newEdge` -

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005